Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.client.delegate
Class ClientSessionDelegate

    java.lang.Object
      org.jboss.jms.client.delegate.DelegateSupport
          org.jboss.jms.client.delegate.ClientSessionDelegate

All Implemented Interfaces:
  Closeable, java.io.Serializable, SessionDelegate, SessionEndpoint

public class ClientSessionDelegate
extends DelegateSupport
implements SessionDelegate

The client-side Session delegate class.

Version:
  `$Revision: 1.9 $` $Id: ClientSessionDelegate.java,v 1.9 2006/03/11 14:26:18 timfox Exp $
Author:
  Tim Fox, Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jboss.jms.client.delegate.DelegateSupport
`id, state`

Constructor Summary
`ClientSessionDelegate()`
`ClientSessionDelegate(int objectID)`

Method Summary
`void` | `acknowledge()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `acknowledge(java.lang.String messageID, java.lang.String receiverID)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `addAsfMessage(MessageProxy m, int consumerID, ConsumerDelegate cons)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `addTemporaryDestination(JBossDestination destination)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `cancelDeliveries()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `close()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `closing()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `commit()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`BrowserDelegate` | `createBrowserDelegate(JBossDestination queue, java.lang.String messageSelector)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`BytesMessageProxy` | `createBytesMessage()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`ConsumerDelegate` | `createConsumerDelegate(JBossDestination destination, java.lang.String selector, boolean noLocal, java.lang.String subscriptionName, boolean connectionConsumer)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`MapMessageProxy` | `createMapMessage()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`MessageProxy` | `createMessage()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`ObjectMessageProxy` | `createObjectMessage()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`ObjectMessageProxy` | `createObjectMessage(java.io.Serializable object)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`ProducerDelegate` | `createProducerDelegate(JBossDestination destination)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`JBossQueue` | `createQueue(java.lang.String queueName)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`StreamMessageProxy` | `createStreamMessage()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`TextMessageProxy` | `createTextMessage()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`TextMessageProxy` | `createTextMessage(java.lang.String text)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`JBossTopic` | `createTopic(java.lang.String topicName)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `deleteTemporaryDestination(JBossDestination destination)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`int` | `getAcknowledgeMode()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`protected Client` | `getClient()`
`MessageListener` | `getMessageListener()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`boolean` | `getTransacted()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`javax.transaction.xa.XAResource` | `getXAResource()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `postDeliver(long messageID, int receiverID)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `preDeliver(long messageID, int receiverID)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `recover()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `rollback()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `run()` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `send(JBossMessage m)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`void` | `setMessageListener(MessageListener listener)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.
`java.lang.String` | `toString()`
`void` | `unsubscribe(java.lang.String subscriptionName)` This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

Methods inherited from class org.jboss.jms.client.delegate.DelegateSupport
`getID, getMetaData, getName, getState, init, invoke, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientSessionDelegate

    public ClientSessionDelegate(int objectID)

### ClientSessionDelegate

    public ClientSessionDelegate()

Method Detail

### acknowledge

    public void acknowledge(java.lang.String messageID,
                            java.lang.String receiverID)
                     throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Throws:
    `JMSException`

### acknowledge

    public void acknowledge()
                     throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `acknowledge` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### addTemporaryDestination

    public void addTemporaryDestination(JBossDestination destination)
                                 throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `addTemporaryDestination` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### cancelDeliveries

    public void cancelDeliveries()
                          throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `cancelDeliveries` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### close

    public void close()
               throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `JMSException`

### closing

    public void closing()
                 throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `closing` in interface `Closeable`
  Throws:
    `JMSException`

### commit

    public void commit()
                throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `commit` in interface `SessionDelegate`
  Throws:
    `JMSException`

### createBrowserDelegate

    public BrowserDelegate createBrowserDelegate(JBossDestination queue,
                                                 java.lang.String messageSelector)
                                          throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createBrowserDelegate` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### createBytesMessage

    public BytesMessageProxy createBytesMessage()
                                         throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createBytesMessage` in interface `SessionDelegate`
  Throws:
    `JMSException`

### createConsumerDelegate

    public ConsumerDelegate createConsumerDelegate(JBossDestination destination,
                                                   java.lang.String selector,
                                                   boolean noLocal,
                                                   java.lang.String subscriptionName,
                                                   boolean connectionConsumer)
                                            throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createConsumerDelegate` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### createMapMessage

    public MapMessageProxy createMapMessage()
                                     throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createMapMessage` in interface `SessionDelegate`
  Throws:
    `JMSException`

### createMessage

    public MessageProxy createMessage()
                               throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createMessage` in interface `SessionDelegate`
  Throws:
    `JMSException`

### createObjectMessage

    public ObjectMessageProxy createObjectMessage()
                                           throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createObjectMessage` in interface `SessionDelegate`
  Throws:
    `JMSException`

### createObjectMessage

    public ObjectMessageProxy createObjectMessage(java.io.Serializable object)
                                           throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createObjectMessage` in interface `SessionDelegate`
  Throws:
    `JMSException`

### createProducerDelegate

    public ProducerDelegate createProducerDelegate(JBossDestination destination)
                                            throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createProducerDelegate` in interface `SessionDelegate`
  Throws:
    `JMSException`

### createQueue

    public JBossQueue createQueue(java.lang.String queueName)
                           throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createQueue` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### createStreamMessage

    public StreamMessageProxy createStreamMessage()
                                           throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createStreamMessage` in interface `SessionDelegate`
  Throws:
    `JMSException`

### createTextMessage

    public TextMessageProxy createTextMessage()
                                       throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createTextMessage` in interface `SessionDelegate`
  Throws:
    `JMSException`

### createTextMessage

    public TextMessageProxy createTextMessage(java.lang.String text)
                                       throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createTextMessage` in interface `SessionDelegate`
  Throws:
    `JMSException`

### createTopic

    public JBossTopic createTopic(java.lang.String topicName)
                           throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `createTopic` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### deleteTemporaryDestination

    public void deleteTemporaryDestination(JBossDestination destination)
                                    throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `deleteTemporaryDestination` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### getMessageListener

    public MessageListener getMessageListener()
                                       throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getMessageListener` in interface `SessionDelegate`
  Throws:
    `JMSException`

### postDeliver

    public void postDeliver(long messageID,
                            int receiverID)
                     throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `postDeliver` in interface `SessionDelegate`
  Throws:
    `JMSException`

### preDeliver

    public void preDeliver(long messageID,
                           int receiverID)
                    throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `preDeliver` in interface `SessionDelegate`
  Throws:
    `JMSException`

### recover

    public void recover()
                 throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `recover` in interface `SessionDelegate`
  Throws:
    `JMSException`

### rollback

    public void rollback()
                  throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `rollback` in interface `SessionDelegate`
  Throws:
    `JMSException`

### run

    public void run()

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `run` in interface `SessionDelegate`

### setMessageListener

    public void setMessageListener(MessageListener listener)
                            throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `setMessageListener` in interface `SessionDelegate`
  Throws:
    `JMSException`

### unsubscribe

    public void unsubscribe(java.lang.String subscriptionName)
                     throws JMSException

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `unsubscribe` in interface `SessionEndpoint`
  Parameters:
    `subscriptionName` - the Name of the durable subscription to unsubscribe from
  Throws:
    `JMSException`

### getXAResource

    public javax.transaction.xa.XAResource getXAResource()

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getXAResource` in interface `SessionDelegate`

### getAcknowledgeMode

    public int getAcknowledgeMode()

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getAcknowledgeMode` in interface `SessionDelegate`

### getTransacted

    public boolean getTransacted()

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `getTransacted` in interface `SessionDelegate`

### addAsfMessage

    public void addAsfMessage(MessageProxy m,
                              int consumerID,
                              ConsumerDelegate cons)

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `addAsfMessage` in interface `SessionDelegate`

### send

    public void send(JBossMessage m)

  This invocation should either be handled by the client-side interceptor chain or by the server-side endpoint.

  Specified by:
    `send` in interface `SessionEndpoint`

### toString

    public java.lang.String toString()

### getClient

    protected Client getClient()

  Specified by:
    `getClient` in class `DelegateSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.